#include<iostream.h>
#include<iomanip.h>
#include<math.h>
 int main()
{
 float a,b,c,p,s;
 cout<<"请输入三角形的三条边："<<endl;//提示用户输入
 cin>>a>>b>>c;
 p=(a+b+c)/2;
 s=sqrt(p*(p-a)*(p-b)*(p-c));
 cout<<"s="<<setw(5)<<setprecision(3)<<s<<endl;
 return(0);
}
